.media {
    color: white;
    min-height: rem(260);
    position: relative;
    overflow: hidden;

    &__image {
        z-index: 10;
        position: relative;
        min-height: rem(260);
    }

    &__video {
        top: 0;
        left: 0;
        z-index: 1;
        width: 100%;
        height: 100%;
        object-fit: cover;
        position: absolute;
    }

    &:after {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        content: '';
        z-index: 15;
        position: absolute;
        background: rgba(0, 0, 0, 0.2);
    }

    &:before {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        content: '';
        z-index: 20;
        position: absolute;
        background: linear-gradient(180.00deg, rgb(13, 12, 12) 0%,rgba(13, 12, 12, 0.2) 100%);
    }

    &__control {
        z-index: 100;
        right: rem(10);
        bottom: rem(10);
        position: absolute;
        display: flex;
        align-items: center;
        column-gap: rem(18);
    }

    &__button {
        padding: 0;
        font-size: 0;
        line-height: 0;
        border: none;
        outline: none;
        width: 47px;
        height: 47px;
        display: block;
        cursor: pointer;
        flex-shrink: 0;
        position: relative;
        background: transparent;
        stroke: #D3D1CB;
        fill: rgba(0, 0, 0, 0.2);
        transition: var(--transition-time);

        i {
            top: 0;
            left: 0;
            width: 47px;
            height: 47px;
            display: block;
            position: absolute;
        }

        i + i {
            opacity: 0;
            visibility: hidden;
        }

        &:hover {
            stroke: white;
            fill: black;
            transition: var(--transition-time);
        }

        &.muted {

            i {
                opacity: 0;
                visibility: hidden;
            }

            i + i {
                opacity: 1;
                visibility: visible;
            }
        }
    }

    &__content {
        top: 0;
        left: 0;
        right: 0;
        z-index: 30;
        font-size: rem(14);
        line-height: 110%;
        position: absolute;
        padding: rem(26) rem(10) rem(26) rem(18);
        display: flex;
        flex-wrap: wrap;
        row-gap: rem(26);
        column-gap: rem(28);
    }

    &__value {
        font-size: rem(24);
        line-height: rem(24);

        small {
            font-size: rem(14);
            line-height: rem(14);
        }
    }

    &__label {
        max-width: rem(400);
        margin-top: rem(6);
    }

    &__header {
        display: none;
    }

    &--two {

        .media {

            &__content {
                row-gap: rem(20);
            }

            &__item {

                &:nth-child(1),
                &:nth-child(3) {
                    width: rem(78);
                }

                &:nth-child(4) {
                    width: rem(190);
                }
            }
        }
    }

    &--play {

        .media {

            &__video {
                z-index: 60;
            }

            &__button {

                &:first-child {

                    i {
                        opacity: 0;
                        visibility: hidden;
                    }

                    i + i {
                        opacity: 1;
                        visibility: visible;
                    }
                }
            }
        }
    }

    @include media-breakpoint-up(md) {

        &:before {
            bottom: 40%;
            background: linear-gradient(180.00deg, rgb(13, 12, 12) 0%,rgba(13, 12, 12, 0) 100%);
        }

        &__content {
            font-size: rem(16);
            line-height: 110%;
            padding: rem(40) rem(40);
            flex-wrap: nowrap;
        }

        &__value {
            font-size: rem(32);
            line-height: rem(32);
        }

        &__label {
            margin-top: rem(10);
        }

        &__control {
           right: rem(40);
            bottom: rem(40);
        }

        &--two {

            .media {

                &__content {
                    row-gap: rem(20);
                }

                &__item {

                    &:nth-child(1),
                    &:nth-child(3) {
                        width: auto;
                    }

                    &:nth-child(4) {
                        width: auto;
                    }
                }
            }
        }

        &__header {
            z-index: 30;
            left: rem(40);
            bottom: rem(60);
            display: block;
            position: absolute;
        }

        &__subtitle {
            color: #9C9C9C;
            font-size: rem(18);
            line-height: 110%;
            margin-bottom: rem(10);
            text-transform: uppercase;
        }

        &__title {
            font-size: rem(36);
            line-height: rem(36);
        }
    }

    @include media-breakpoint-up(xl) {

        &__content {
            font-size: rem(18);
            line-height: 110%;
            padding: rem(88) rem(58);
            column-gap: rem(80);
        }

        &__value {
            font-size: rem(50);
            line-height: rem(50);

            small {
                font-size: rem(22);
                line-height: rem(22);
            }
        }

        &__header {
            left: rem(58);
            bottom: rem(128);
        }

        &__subtitle {
            margin-bottom: rem(18);
        }

        &__title {
            font-size: rem(50);
            line-height: rem(50);
        }

        &__label {

        }

        &__control {
            right: rem(50);
            bottom: rem(50);
        }
    }

    @include media-breakpoint-up(xxl) {

        &__content {
            column-gap: rem(80);
        }
    }
}
